Subject: Re: Upgrading from b20.1 to 1.1.x - now my static linking fails !
From: MarketLogix <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked]
Date: Mon, 31 Jul 2000 15:01:16 -0700

I made an educated guess and did this:

1. Went to a mirror and got /pub/sourceware/release/binutils-2.10.tar.gz.
2. Built & installed it over /cygwin/usr.

That fixed the static linking problem but now my .dll fails to load right !

The circle begins - stuffed at the line of scrimage again !

Is that gcc-2.92.2-2 incompatible with the 6/00 "release" version of binutils ?
Should I roll back to the 10/99 "release" version of gcc-2.95.2 ?

What is considered stable ? How do I get in sync ?

Thanks again.

bisk

Begin forwarded message:

Date: Mon, 31 Jul 2000 14:52:50 -0400
From: DJ Delorie <[email-masked]>
To: [email-masked]
In-reply-to: <[email-masked]> (message from MarketLogix on  
Mon, 31 Jul 2000 11:32:47 -0700)
Subject: Re: Upgrading from b20.1 to 1.1.x  - now my static linking fails !

> But some basic utilities were missing like env and mount so

mount.exe is in cygwin
env.exe is in shellutils
both are in the net release.

> Do you think that the setup/CD install/setup caused this problem ?

No.

> I've got to believe that many folks have installed the net release
> over the CD, no ?

Yes, but for new installations you don't need both.

> I don't remember what I chose as far as "dos text" vs. binary.
> If there's a default, that's probably what I took.

Shouldn't make much of a difference.

> Should I clear out the /etc/setup directory and run setup again ?
> Choosing binary at the install prompt ?

No, just use "mount -f ..." to change the mount points.  Read the
online user's guide for info.  I use text mounts.  Chris uses binary
mounts.  Both should work.

> I don't really have much to lose at this point ...

I would suggest trying the CVS version of binutils.  Else, use "gcc -S
..."  to see if it's the compiler or the assembler or whatever that's

messing up the symbols.

--
Want to unsubscribe from this list?
Send a message to [email-masked]